PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP DOMAIN

## Name

DROP DOMAIN -- remove a domain

## Synopsis

    DROP DOMAIN name [, ...]  [ CASCADE | RESTRICT ]

## Description

`DROP DOMAIN` will remove a domain. Only the owner of a domain can remove it.

## Parameters

name

  The name (optionally schema-qualified) of an existing domain.

CASCADE

  Automatically drop objects that depend on the domain (such as table columns).

RESTRICT

  Refuse to drop the domain if any objects depend on it. This is the default.

## Examples

To remove the domain `box`:

    DROP DOMAIN box;

## Compatibility

This command conforms to the SQL standard.

## See Also

CREATE DOMAIN

Prev | Home | Next
DROP DATABASE | Up | DROP FUNCTION